List Run Steps
GET /runs/{run_id}/stepsParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
run_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_RunStepView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/runs/{run_id}/steps \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_RunStepView_
Section titled “Response — Page_RunStepView_”| Field | Type | Notes | |
|---|---|---|---|
items | RunStepView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |